This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 189046 - Review Request: perl-Log-Message-Simple
Review Request: perl-Log-Message-Simple
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On: 188523 189044
Blocks: FE-ACCEPT 189047
  Show dependency treegraph
 
Reported: 2006-04-14 20:12 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-06 12:29:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-04-14 20:12:35 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-Log-Message-Simple/perl-Log-Message-Simple.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-Log-Message-Simple-0.01-1.src.rpm
Description:
This module provides standardized logging facilities using the
Log::Message module.
Comment 1 Jason Tibbitts 2006-04-15 12:51:03 EDT
Some warnings running the tests; nothing serious but it should probably be
reported upstream:
t/03_functions....Use of uninitialized value in numeric eq (==) at
t/03_functions.t line 54.
Use of uninitialized value in numeric eq (==) at t/03_functions.t line 73.
Use of uninitialized value in numeric eq (==) at t/03_functions.t line 54.
Use of uninitialized value in numeric eq (==) at t/03_functions.t line 73.
Use of uninitialized value in numeric eq (==) at t/03_functions.t line 54.
Use of uninitialized value in numeric eq (==) at t/03_functions.t line 73.
Use of uninitialized value in numeric eq (==) at t/03_functions.t line 54.
Use of uninitialized value in numeric eq (==) at t/03_functions.t line 73.
Use of uninitialized value in numeric eq (==) at t/03_functions.t line 54.
Use of uninitialized value in numeric eq (==) at t/03_functions.t line 73.
Use of uninitialized value in numeric eq (==) at t/03_functions.t line 54.
Use of uninitialized value in numeric eq (==) at t/03_functions.t line 73.
Use of uninitialized value in numeric eq (==) at t/03_functions.t line 54.
Use of uninitialized value in numeric eq (==) at t/03_functions.t line 73.
ok
All tests successful.
Files=3, Tests=97,  0 wallclock secs ( 0.21 cusr +  0.06 csys =  0.27 CPU)

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   0c60795da495f6a79d09362e8b4f0061  Log-Message-Simple-0.01.tar.gz
   0c60795da495f6a79d09362e8b4f0061  Log-Message-Simple-0.01.tar.gz-srpm
* BuildRequires are proper.
* package builds in mock.
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directory it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 2 Jason Tibbitts 2006-04-15 12:52:19 EDT
Oops, forgot to add:

APPROVED
Comment 3 Steven Pritchard 2006-04-21 18:59:41 EDT
There's already a ticket open for the warnings: 
http://rt.cpan.org/Ticket/Display.html?id=18220
Comment 4 Steven Pritchard 2006-05-06 12:29:21 EDT
Imported, branches created, and builds requested.

Note You need to log in before you can comment on or make changes to this bug.